%define name	guile
%define version	1.4
%define release	14mdk
%define guilever 1.4

Summary:	A GNU implementation of Scheme for application extensibility
Name:		%{name}
Version:	%{version}
Release:	%{release}

Source0:	ftp://ftp.gnu.org/pub/gnu/guile-%{version}.tar.bz2
Patch0:		guile_std_headers.patch.bz2

License:	GPL
Group:		Development/Other
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-root
Requires:	umb-scheme >= 3.2-17mdk
Requires:	libguile9 = %{version}
BuildRequires:	libgpm-devel, libncurses-devel, readline-devel

%package -n libguile9
Summary:	Libraries for Guile %{version}
Group:		System/Libraries
PreReq:		/sbin/ldconfig

%package -n libguile9-devel
Summary:	Development headers and static library for libguile
Group:		Development/C
Requires:	guile = %{version}-%{release}
Requires:	libguile9 = %{version}
Provides:	libguile-devel = %{version}-%{release}
Provides:	guile-devel = %{version}-%{release}
Obsoletes:	guile-devel
PreReq:		/sbin/install-info

%description
GUILE (GNU's Ubiquitous Intelligent Language for Extension) is a
library implementation of the Scheme programming language, written in
C.  GUILE provides a machine-independent execution platform that can
be linked in as a library during the building of extensible programs.

Install the guile package if you'd like to add extensibility to
programs that you are developing.  You'll also need to install the
guile-devel package.

%description -n libguile9
This package contains Guile shared object libraries and the ice-9
scheme module. Guile is the GNU Ubiquitous Intelligent Language for
Extension.

%description -n libguile9-devel
This package contains the development headers and the static library
for libguile. C headers, aclocal macros, the `guile1.4-snarf' and
`guile-config' utilities, and static `libguile' library for Guile, the
GNU Ubiquitous Intelligent Language for Extension

%prep
%setup -q -n %{name}-%{guilever}
%patch0 -p1

%build
%ifarch ppc
CFLAGS="%optflags -O2"
%endif
%configure --enable-dynamic-linking
%make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
%makeinstall

mkdir -p rpm.doc/libguile
(cd libguile; for i in ChangeLog*; do
        cp -p $i ../rpm.doc/libguile/$i.libguile
done)

pushd $RPM_BUILD_ROOT
  chmod +x ./usr/lib/libguile.so.*.0.0
  mkdir -p ./%{_datadir}/guile/site
  mkdir -p ./%{_datadir}/guile/%{guilever}/ice-9
  ln -s ../../share/umb-scheme/slib ./%{_datadir}/guile/slib
popd

pushd $RPM_BUILD_ROOT
  mkdir -p ./%{_datadir}/guile
  mv ./%{_bindir}/guile-snarf.awk ./%{_datadir}/guile/guile-snarf.awk
  chmod 644 ./%{_datadir}/guile/guile-snarf.awk
  perl -pi -e "s|\`dirname \\\$0\`/guile-snarf.awk|%{_datadir}/guile/guile-snarf.awk|"  ./%{_bindir}/guile-doc-snarf
popd

pushd $RPM_BUILD_ROOT/usr/lib
  ln -s libguile.so.9 libguile.so.6
  ln -s libguile.so.9 libguile.so.5
  ln -s libguile.so.9 libguile.so.1
popd

for i in ice-9/*.scm; do
  install -m 644 $i $RPM_BUILD_ROOT/usr/share/guile/%{guilever}/ice-9/
done

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%post
%{_bindir}/guile -c "(use-modules (ice-9 slib)) (require 'new-catalog)"

%post -n libguile9 -p /sbin/ldconfig
%postun -n libguile9 -p /sbin/ldconfig

%post -n libguile9-devel
%_install_info data-rep.info

%preun -n libguile9-devel
%_remove_install_info data-rep.info

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog GUILE-VERSION HACKING NEWS README
%doc SNAPSHOTS ANON-CVS THANKS
%{_bindir}/guile
%dir %{_datadir}/guile/site
%{_datadir}/guile/slib

%files -n libguile9
%defattr(-,root,root)
%doc README AUTHORS COPYING
%doc rpm.doc/libguile/*
#
%{_libdir}/libguile.so.9*
%{_libdir}/libguile.so.1
%{_libdir}/libguile.so.5
%{_libdir}/libguile.so.6
%{_libdir}/libguilereadline.so.0*
#
%dir %{_datadir}/guile/%{guilever}
%{_datadir}/guile/%{guilever}/ice-9

%files -n libguile9-devel
%defattr(-,root,root)
#
%{_bindir}/guile-config
%{_bindir}/guile-snarf
%{_bindir}/guile-doc-snarf
%{_bindir}/guile-func-name-check
#
%dir %{_includedir}/guile
%{_includedir}/guile/*.h
%dir %{_includedir}/guile-readline
%{_includedir}/guile-readline/*.h
%dir %{_includedir}/libguile
%{_includedir}/libguile/*.h
%{_includedir}/libguile.h
#
%{_libdir}/libguile.*a
%{_libdir}/libguile.so
%{_libdir}/libguilereadline.*a
%{_libdir}/libguilereadline.so
#
%{_datadir}/aclocal/*
%{_datadir}/guile/guile-snarf.awk
%{_infodir}/data-rep.info*

%changelog
* Wed Aug  8 2001 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.4-14mdk
- Move ice-9 files to libguile9 (gc)

* Tue Aug  7 2001 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.4-13mdk
- Libification

* Thu May 31 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 1.4-12mdk
- added version number to umb-scheme requirement

* Wed May 30 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 1.4-11mdk
- slib link now points to datadir not libdir (see modifications in umb-scheme)

* Tue Mar 26 2001 David BAUDENS <baudens@mandrakesoft.com> 1.4-10mdk
- PPC: Add -O2 to CFLAGS to prevent some strange crashes

* Sat Mar 24 2001 David BAUDENS <baudens@mandrakesoft.com> 1.4-9mdk
- PPC: use default flags
- Use macros
- Use %%_tmppath for BuildRoot
- Bzip2 patch

* Mon Jan 29 2001 Stew Benedict <sbenedict@mandrakesoft.com> 1.4-8mdk
- specific CFLAGS for PowerPC

* Wed Nov 15 2000 Egil Moeller <redhog@mandrakesoft.com> 1.4-7mdk
- Bugworkaround around the flawed Makefile.

* Mon Sep 11 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.4-6mdk
- ooops wrong info file name.

* Mon Sep 11 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.4-5mdk
- finalized BM (Thanks Stefan).

* Fri Sep  8 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.4-4mdk
- removed menu entry.
- added a depency for guile-devel on guile with the same release.

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.4-3mdk
- automatically added BuildRequires

* Fri Jul 21 2000 Pixel <pixel@mandrakesoft.com> 1.4-2mdk
- add provides libguile.so.6

* Tue Jul 11 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.4-1mdk
- 1.4

* Thu Mar 30 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.3.4-3mdk
- fix group

* Sun Nov  7 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- provides libguile.so.[15].

* Fri Nov 05 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- SMP build/check
- 1.3.4

* Tue Aug 31 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- added macro %%{guilever} as apckage version is 1.3.2a but
  for paths, etc. it remains 1.2.3
- corrected %files section (some libs weren't included)

* Thu Aug 26 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- -1.3.2a

* Fri Apr 23 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Mandrake adaptations.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 6)

* Wed Mar 17 1999 Michael Johnson <johnsonm@redhat.com>
- added .ansi patch to fix #endif

* Wed Feb 10 1999 Cristian Gafton <gafton@redhat.com>
- add patch for the scm stuff

* Sun Jan 17 1999 Jeff Johnson <jbj@redhat.com>
- integrate changes from rhcn version (#640)

* Tue Jan 12 1999 Cristian Gafton <gafton@redhat.com>
- call libtoolize first to get it to compile on the arm

* Sat Jan  9 1999 Todd Larason <jtl@molehill.org>
- Added "Requires: guile" at suggestion of Manu Rouat <emmanuel.rouat@wanadoo.fr>

* Fri Jan  1 1999 Todd Larason <jtl@molehill.org>
- guile-devel does depend on guile
- remove devel dependancy on m4
- move guile-snarf from guile to guile-devel
- Converted to rhcn

* Wed Oct 21 1998 Jeff Johnson <jbj@redhat.com>
- update to 1.3.
- don't strip libguile.so.*.0.0. (but set the execute bits).

* Thu Sep 10 1998 Cristian Gafton <gafton@redhat.com>
- spec file fixups

* Wed Sep  2 1998 Michael Fulbright <msf@redhat.com>
- Updated for RH 5.2

* Mon Jan 26 1998 Marc Ewing <marc@redhat.com>
- Started with spec from Tomasz Koczko <kloczek@idk.com.pl>
- added slib link

* Thu Sep 18 1997 Tomasz Koczko <kloczek@idk.com.pl>          (1.2-3)
- added %attr(-, root, root) for %doc, 
- in %post, %postun ldconfig runed as parameter "-p",
- removed /bin/sh from requires,
- added %description,
- changes in %files.

* Fri Jul 11 1997 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>  (1.2-2)
- all rewrited for using Buildroot,
- added %postun,
- removed making buid logs,
- removed "--inclededir", added "--enable-dynamic-linking" to configure
  parameters,
- added striping shared libs and /usr/bin/guile,
- added "Requires: /bin/sh" (for guile-snarf) in guile package and
  "Requires: m4" for guile-devel,
- added macro %{PACKAGE_VERSION} in "Source:" and %files,
- added %attr macros in %files.
